.\"	$NetBSD: osiop.4,v 1.5 2008/05/03 06:35:04 tsutsui Exp $
.\"
.\" Copyright (c) 2001 Izumi Tsutsui.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd May 12, 2001
.Dt OSIOP 4
.Os
.Sh NAME
.Nm osiop
.Nd Symbios/NCR 53C710 SCSI driver
.Sh SYNOPSIS
.Ss arc
.Cd "osiop* at jazzio? flags 0x00000"
.Ss ews4800mips
.Cd "osiop* at sbdio? flags 0x00000"
.Ss hp700
.Cd "osiop0 at gsc? flags 0x00000"
.Ss mvme68k
.Cd "osiop0 at pcctwo? ipl 2"
.Pp
.Cd "scsibus* at osiop?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the
.Tn Symbios/NCR
53C710
.Tn SCSI
controller chip.
.Pp
For the
.Tn Symbios/NCR
53C700
.Tn SCSI
host adapters, use the
.Xr oosiop 4
driver.
.Pp
For the
.Tn Symbios/NCR
53C8xx
.Tn PCI
.Tn SCSI
host adapters, use the
.Xr siop 4
or
.Xr esiop 4
driver.
.Sh CONFIGURATION
The
.Nm
driver supports the following
.Sy flags
for use in
.Xr config 1
files:
.Pp
.Bl -tag -compact -width "bits 8-15:"
.It bits 0-7 :
disable disconnect/reselect for the corresponding
.Tn SCSI
target
.It bits 8-15 :
disable synchronous negotiation for
.Tn SCSI
target
.It bits 16 :
disable DMA interrupts
.El
.Pp
.Qq Target
is synonymous with
.Tn SCSI
ID number.
.Pp
Note that
.Tn SCSI
tape drives should be allowed to perform disconnect/reselect or performance
will suffer.
.\" .Sh BUGS
.\" Neither
.\" .Tn DMA
.\" or synchronous data transfers are currently supported.
.Sh SEE ALSO
.Xr cd 4 ,
.Xr ch 4 ,
.Xr esiop 4 ,
.Xr intro 4 ,
.Xr oosiop 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr siop 4 ,
.Xr ss 4 ,
.Xr st 4 ,
.Xr uk 4 ,
.Xr scsipi 9
.Sh HISTORY
.Nm
driver first appeared in
.Nx 1.6 .
.Pp
The original
.Tn NCR
53C710
driver appeared in
.Nx
1.0 amiga port, and Izumi Tsutsui
.Aq tsutsui@NetBSD.org
modified the driver and made it machine-independent.
